#
# spec file for package libisds
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define libname %{name}5
Name:           libisds
Version:        0.10.1
Release:        4.1
Summary:        Library for accessing the Czech Data Boxes
License:        LGPL-3.0+
Group:          System/Libraries
Url:            http://xpisar.wz.cz/libisds/
Source0:        http://xpisar.wz.cz/%{name}/dist/%{name}-%{version}.tar.xz
BuildRequires:  gpg2
BuildRequires:  libgcrypt-devel
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(expat) >= 2.0.0
BuildRequires:  pkgconfig(gnutls) >= 2.12.0
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libxml-2.0)
Requires:       gpg2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a library for accessing ISDS (Informační systém datových schránek /
Data Box Information System) SOAP services as defined in Czech ISDS Act
(300/2008 Coll.) and implied documents.

%package -n %{libname}
Summary:        Library for accessing the Czech Data Boxes
Group:          System/Libraries

%description -n %{libname}
This is a library for accessing ISDS (Informační systém datových schránek /
Data Box Information System) SOAP services as defined in Czech ISDS Act
(300/2008 Coll.) and implied documents.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Requires:       pkg-config

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure \
    --disable-static \
    --enable-test \
    --with-libcurl \
    --enable-openssl-backend
make %{?_smp_mflags}

%check
make check %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}
mv doc specification
rm -rf client/.deps

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname} -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS NEWS TODO COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/isds.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%doc client specification

%changelog
* Mon Sep  7 2015 tchvatal@suse.com
- Version bump to 0.10.1:
  * Fix expired certificates so the testsuite pass again
* Mon Jan 12 2015 tchvatal@suse.com
- Cleanup for openSUSE
- Version bump to 0.10:
  * A new ISDSSearch2 service was implemented by an isds_find_box_by_fulltext()
    function.
  * The OpenSSL library can be used instead of the default GPGme library by
    specifying --enable-openssl-backend option to the configure script.
  * When parsing ISO 8601 date-time strings from a server response, microsecond
    fractions are properly rounded (half up) now.
  * An use-after-free bug in parsing SOAP response has been fixed.
  * Handling su_seconds_t type used in the timeval structure was corrected to
    enable flawless compilation with Mac OS X standard library.
  * Various signedness mismataches which could lead to an undefined behaviour
    were fixed.
  * A work-around for accessing the strdup(3) function in Mac OS X standard
    library was applied.
* Tue Aug 12 2014 ppisar@redhat.com
- 0.9 bump
* Wed Apr  2 2014 ppisar@redhat.com
- Use _DEFAULT_SOURCE where _BSD_SOURCE macro presents to satisfy glibc-2.19.90
* Mon Oct 21 2013 ppisar@redhat.com
- 0.8 bump
* Wed Mar 27 2013 ppisar@redhat.com
- Update config.sub to support aarch64 (bug #925782)
* Thu Jan  3 2013 ppisar@redhat.com
- 0.7 bump
* Wed Oct 31 2012 ppisar@redhat.com
- 0.6.2 bump
* Tue Oct 30 2012 ppisar@redhat.com
- 0.6.1 bump
* Thu Mar  3 2011 ppisar@redhat.com
- 0.5 bump (breaks ABI, API preserved)
- Remove aplied patch and GPG hack
* Fri Feb 11 2011 ppisar@redhat.com
- Rebuild with GCC 4.6
- Remove BuildRoot stuff
- Make devel subpackage dependencies ISA specific
* Mon Dec 20 2010 ppisar@redhat.com
- 0.4 bump, it breaks ABI
- Use smaller xz archive instead of bzip2
- Do tests in parallel
* Tue Jun 29 2010 ppisar@redhat.com
- 0.3.1 version bump
- Create ~/.gnupg to workaround bug in gnupg2-smime
* Tue Apr 13 2010 ppisar@redhat.com
- New version 0.2.1 released by upstream
* Thu Feb 11 2010 mcepl@redhat.com
- Fixing small issue with documentation for package review
* Tue Feb  9 2010 mcepl@redhat.com
- Initial packaging effort
